=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for Rivet

# Copyright 2004-2005 The Apache Software Foundation

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#	http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# AM_CFLAGS = -I"/usr/include/tcl8.4/tcl-private/generic" @GM_CPPFLAGS@

SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) $(mod_rivet_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/rivet
pkglibdir = $(libdir)/rivet
pkgincludedir = $(includedir)/rivet
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/tclconfig/tcl.m4 \
	$(top_srcdir)/tclconfig/libtool.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(apxs_libexecdir)" "$(DESTDIR)$(lib_libexecdir)"
apxs_libexecLTLIBRARIES_INSTALL = $(INSTALL)
lib_libexecLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(apxs_libexec_LTLIBRARIES) $(lib_libexec_LTLIBRARIES)
librivet_la_DEPENDENCIES =
am_librivet_la_OBJECTS = librivet_la-rivetList.lo \
	librivet_la-rivetCrypt.lo librivet_la-rivetWWW.lo \
	librivet_la-rivetPkgInit.lo
librivet_la_OBJECTS = $(am_librivet_la_OBJECTS)
librivetparser_la_DEPENDENCIES =
am_librivetparser_la_OBJECTS = librivetparser_la-rivetParser.lo \
	librivetparser_la-parserPkgInit.lo
librivetparser_la_OBJECTS = $(am_librivetparser_la_OBJECTS)
mod_rivet_la_DEPENDENCIES =
am_mod_rivet_la_OBJECTS = mod_rivet_la-apache_multipart_buffer.lo \
	mod_rivet_la-apache_request.lo mod_rivet_la-rivetChannel.lo \
	mod_rivet_la-rivetParser.lo mod_rivet_la-rivetCore.lo \
	mod_rivet_la-mod_rivet.lo mod_rivet_la-TclWebapache.lo
mod_rivet_la_OBJECTS = $(am_mod_rivet_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/tclconfig/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/librivet_la-rivetCrypt.Plo \
	./$(DEPDIR)/librivet_la-rivetList.Plo \
	./$(DEPDIR)/librivet_la-rivetPkgInit.Plo \
	./$(DEPDIR)/librivet_la-rivetWWW.Plo \
	./$(DEPDIR)/librivetparser_la-parserPkgInit.Plo \
	./$(DEPDIR)/librivetparser_la-rivetParser.Plo \
	./$(DEPDIR)/mod_rivet_la-TclWebapache.Plo \
	./$(DEPDIR)/mod_rivet_la-apache_multipart_buffer.Plo \
	./$(DEPDIR)/mod_rivet_la-apache_request.Plo \
	./$(DEPDIR)/mod_rivet_la-mod_rivet.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetChannel.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetCore.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetParser.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) \
	$(mod_rivet_la_SOURCES)
DIST_SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) \
	$(mod_rivet_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run tar
APXS = 
APXS_CPPFLAGS = -DLINUX=22 -DEAPI -DTARGET="apache" -DHAVE_SET_DUMPABLE -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -O1  -g -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
APXS_CPPFLAGS_SHLIB = -fPIC -DSHARED_MODULE
APXS_INCLUDES = -I/usr/include/apache-1.3
APXS_LDFLAGS = -shared
APXS_LD_SHLIB = gcc
APXS_LIBEXECDIR = /usr/lib/apache/1.3
APXS_LIBS = -lc -lm -lpthread -lcrypt -ldb -ldb -lexpat
APXS_PREFIX = /usr
APXS_SYSCONFDIR = /etc/apache
AR = ar
AUTOCONF = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run autoconf
AUTOHEADER = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run autoheader
AUTOMAKE = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run automake-1.8
AWK = gawk
CC = gcc -pipe
CCDEPMODE = depmode=gcc3
CELIB_DIR = 
CFLAGS =  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
CFLAGS_DEBUG = -g
CFLAGS_DEFAULT = -O2
CFLAGS_OPTIMIZE = -O2
CFLAGS_WARNING = -Wall -Wno-implicit-int
CLEANFILES = pkgIndex.tcl
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH = echo
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"Rivet\" -DPACKAGE_TARNAME=\"rivet\" -DPACKAGE_VERSION=\"0.5.0\" -DPACKAGE_STRING=\"Rivet\ 0.5.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rivet\" -DVERSION=\"0.5.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DLFCN_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_READDIR_R=1 -DTCL_THREADS=1 -D_ISOC99_SOURCE= -D_LARGEFILE64_SOURCE= -DTCL_WIDE_INT_IS_LONG=1 -DNAMEOFEXECUTABLE=\"/usr/bin/tclsh8.4\"
DEPDIR = .deps
DL_LIBS = -ldl
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,--export-dynamic
LDFLAGS_DEBUG = 
LDFLAGS_DEFAULT =  -Wl,--export-dynamic
LDFLAGS_OPTIMIZE = 
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = tclconfig/ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/missing --run makeinfo
MAKE_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB = ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB = ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
MATH_LIBS = -lieee -lm
OBJEXT = o
PACKAGE = rivet
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Rivet
PACKAGE_STRING = Rivet 0.5.0
PACKAGE_TARNAME = rivet
PACKAGE_VERSION = 0.5.0
PATH_SEPARATOR = :
PKG_CFLAGS =  
PKG_HEADERS =  src/TclWeb.h src/apache_multipart_buffer.h src/apache_request.h src/mod_rivet.h src/rivet.h src/rivetChannel.h src/rivetParser.h
PKG_INCLUDES = 
PKG_LIBS = 
PKG_LIB_FILE = libRivet0.5.0.so
PKG_OBJECTS =  TclWebcgi.o TclWebapache.o apache_multipart_buffer.o apache_request.o mod_rivet.o parserPkgInit.o rivetChannel.o rivetCore.o rivetCrypt.o rivetList.o rivetParser.o rivetPkgInit.o rivetWWW.o nmakehlp.o testing.o
PKG_SOURCES =  src/TclWebcgi.c src/TclWebapache.c src/apache_multipart_buffer.c src/apache_request.c src/mod_rivet.c src/parserPkgInit.c src/rivetChannel.c src/rivetCore.c src/rivetCrypt.c src/rivetList.c src/rivetParser.c src/rivetPkgInit.c src/rivetWWW.c win/nmakehlp.c src/testing.c
PKG_STUB_LIB_FILE = libRivetstub0.5.0.a
PKG_STUB_OBJECTS = 
PKG_STUB_SOURCES = 
PKG_TCL_SOURCES = 
RANLIB = :
RANLIB_STUB = ranlib
SET_MAKE = 
SHARED_BUILD = 1
SHELL = /bin/sh
SHLIB_CFLAGS = -fPIC
SHLIB_LD = gcc -pipe -shared
SHLIB_LD_FLAGS = 
SHLIB_LD_LIBS = ${LIBS} -L/usr/lib -ltclstub8.4
STLIB_LD = ${AR} cr
STRIP = strip
TCLSH_PROG = /usr/bin/tclsh8.4
TCL_BIN_DIR = /usr/lib/tcl8.4
TCL_DBGX = 
TCL_DEFS =  -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DTCL_THREADS=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = -I"/usr/include/tcl8.4/tcl-private/generic"
TCL_LD_FLAGS =  -Wl,--export-dynamic
TCL_LIBS = ${DL_LIBS} ${LIBS} ${MATH_LIBS}
TCL_LIB_FILE = libtcl8.4.so
TCL_LIB_FLAG = -ltcl8.4
TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
TCL_PACKAGE_PATH = /usr/lib
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
TCL_STUB_LIB_FILE = libtclstub8.4.a
TCL_STUB_LIB_FLAG = -ltclstub8.4
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
TCL_THREADS = 1
TCL_VERSION = 8.4
VERSION = 0.5.0
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = /usr
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /opt/debian/src/rc/rivet/rivet-0.5.0/tclconfig/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

# The weird and wild magic of auto* associates these two.
apxs_libexecdir = /usr/lib/apache/1.3
apxs_libexec_LTLIBRARIES = mod_rivet.la

# ... and these two.  We want to put the libs in the package path,
# rather than the standard library location for the system.
lib_libexecdir = /usr/lib/rivet
lib_libexec_LTLIBRARIES = librivet.la librivetparser.la

#
# Apache Rivet Module, mod_rivet.so / mod_rivet.dll
#
mod_rivet_la_SOURCES = apache_multipart_buffer.c apache_request.c	\
rivetChannel.c rivetChannel.h rivetParser.c rivetParser.h rivetCore.c	\
mod_rivet.c TclWebapache.c mod_rivet.h TclWeb.h rivet.h			\
apache_multipart_buffer.h apache_request.h

mod_rivet_la_LDFLAGS = -L/usr/lib -ltcl8.4 -shared -no-undefined -module -avoid-version
mod_rivet_la_LIBADD = ${DL_LIBS} ${LIBS} ${MATH_LIBS} -lc -lm -lpthread -lcrypt -ldb -ldb -lexpat
