=== debian/changelog ===
rivet (0.5.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS - invalid lvalue in assignment (Closes: #325206)
  * FTBFS: ./configure: line 26383: syntax error near unexpected token
    `(' (Closes: #355656)
  * TCL_PACKAGE_PATH may contain more than one directory 
  (Closes: #394588)

 -- Neil Williams <codehelp@debian.org>  Tue, 28 Nov 2006 01:34:06 +0000
