=== debian/control ===
Source: rivet
Maintainer: David N. Welton <davidw@debian.org>
Build-Depends: apache-dev, tcl8.4, tcl8.4-dev, debhelper (>> 3.0.0), dpatch, autoconf
Section: web
Priority: optional
Standards-Version: 3.5.8

Package: rivet
Architecture: any
Depends: ${shlibs:Depends}, apache
Description: Server-side Tcl programming system combining ease of use and power
 Apache Rivet is a system for creating dynamic web content via a
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals, we have
 chosen the Tcl programming language to combine with the Apache Web
 Server.
