## rivet 1.8.0

=== debian/changelog ===
rivet (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #636983)

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 04 Jun 2012 00:23:54 +0800
