=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS := 1
endif

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

# package name
PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))

# current Debian package version
DEBVER=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()'))

# current upstream version (remove any epoch and Debian release number)
UPVER=$(shell echo $(DEBVER) | sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

../$(PKGNAME)_$(UPVER).orig.tar.gz:
	./debian/get-orig-source --upstream-version $(UPVER) $@

get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz

configure-stamp:
	dh_autoreconf
	dh_auto_configure -- \
		--prefix=/usr \
		--with-hepmc-incpath=/usr/include \
	       	--with-hepmc-libpath=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-fastjet-incpath=/usr/include \
		--with-fastjet-libpath=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-yaml_cpp-incpath=/usr/include \
		--with-yaml_cpp-libpath=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	touch $@

install: build-arch
	dh_testdir
	dh_auto_install
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libRivet.so

build-indep: configure-stamp
	$(MAKE) -C doc
	$(MAKE) dox

build-arch: configure-stamp
	dh_testdir
	$(MAKE) -j$(NUMJOBS)

build: build-arch

binary-indep: build-arch build-indep
	dh $@

binary-arch: install
	dh $@

binary: binary-arch binary-indep

clean:
	dh_testdir
	dh_autoreconf_clean
	dh_auto_clean
	dh_clean

.PHONY: binary binary-arch binary-indep build build-arch build-indep install clean
